// Code generated by mockery v1.1.0. DO NOT EDIT.

package common

import mock "github.com/stretchr/testify/mock"

// MockConfigSaver is an autogenerated mock type for the ConfigSaver type
type MockConfigSaver struct {
	mock.Mock
}

// Save provides a mock function with given fields: filePath, data
func (_m *MockConfigSaver) Save(filePath string, data []byte) error {
	ret := _m.Called(filePath, data)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, []byte) error); ok {
		r0 = rf(filePath, data)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
